apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2023-01-06T00:25:15Z"
  generation: 6
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: k8s-rel-process-c
spec:
  image: ami-0409b7ddbc59e3222
  instanceMetadata:
    httpTokens: required
  machineType: m6i.xlarge
  manager: CloudGroup
  maxSize: 4
  minSize: 4
  mixedInstancesPolicy:
    onDemandAboveBase: 0
    onDemandBase: 0
    spotAllocationStrategy: capacity-optimized
  nodeLabels:
    datasaker/group: rel-process
    kops.k8s.io/instancegroup: k8s-rel-process-c
  role: Node
  rootVolumeSize: 100
  subnets:
  - ap-northeast-2c
  taints:
  - prod/rel-process:NoSchedule
